2008-06-17  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* NEWS: version 2.23.4

2008-06-17  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require intltool 0.40.0
	* Makefile.am: remove old intltool cruft

2008-06-04  Gabor Kelemen  <kelemeng@gnome.hu>

	* libgweather/weather.c: Address of the Weather Phenomena Matrix slightly changed (.html->.php)

2008-06-03  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.23.4

==================== 2.23.3 ====================

2008-06-03  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* NEWS: version 2.23.3

2008-05-29  Dan Winship  <danw@gnome.org>

	* data/Locations.xml.in: s/Lousiana/Louisiana/. Bug #525761,
	except that I didn't touch the translations

2008-05-14  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* NEWS: version 2.23.3

==================== 2.23.2 ====================

2008-05-14  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* NEWS: version 2.23.2

2008-05-03  Callum McKenzie  <callum@spooky-possum.org>

	* data/Locations.xml.in: Added the East-Flanders region of
	Belgium, specifically Gent and Munte at the request of Tibault
	Damman (Bug #530932).

	* data/Locations.xml.in: Complete the entries for New Zealand
	(most are commented out until I figure out the correct local
	source of weather info). Move 'Williams Field, Antarctica' down to
	the Antarctica section and rename it to McMurdo Williams since
	there is already a Williams Field listing there (different METAR
	code). Move the Christmas/Cassidy entry from New Zealand to
	Kiribati, NOAA doesn't seem to understand the difference.

2008-04-21  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* NEWS: version 2.23.2

==================== 2.23.1 ====================

2008-04-21  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* NEWS: version 2.23.1

2008-04-20  Jaap A. Haitsma  <jaap@haitsma.org>

	reviewed by: Vincent Untz

	* data/Locations.xml.in:
	Put coordinates for Santiago de Chile and Nefta in degrees, minutes,
	such that clock applet does not crash. Partly fixes bug #522689

2008-04-20  Dan Winship  <danw@gnome.org>

	* data/README.timezones: notes on the timezone hints in
	Locations.xml

2008-04-19  Vincent Untz  <vuntz@gnome.org>

	* libgweather/gweather-xml.c: (gweather_xml_parse_node):
	Remove useless entries (region/country/state/city without any
	location).
	When there's only one location in a city, merge the two items since
	it's kind of useless to display the child in this case.
	Fix bug #527594.

2008-04-18  Vincent Untz  <vuntz@gnome.org>

	* data/Makefile.am: make "make -jX" work. Fix bug #528359.

2008-04-18  Vincent Untz  <vuntz@gnome.org>

	* data/Makefile.am: fix build when $LINGUAS is set. Fix bug #528031.

2008-04-15  Vincent Untz  <vuntz@gnome.org>

	* data/Makefile.am:
	* po-locations/Makefile.am: changes to make distcheck work

2008-04-15  Federico Mena Quintero  <federico@novell.com>

	* data/Locations.xml.in: Don't use obsolete Mexico/BajaNorte and
	Mexico/BajaSur.

2008-04-14  Federico Mena Quintero  <federico@novell.com>

	* data/Locations.xml.in: Fixed up Mexico - divide locations into
	states; add all missing state capitals.

2008-04-11  Vincent Untz  <vuntz@gnome.org>

	* data/Locations.xml.in: add some FIXME for later, when we can break
	strings.

2008-04-11  Vincent Untz  <vuntz@gnome.org>

	* libgweather/gweather.pc.in: add missing libraries in Requires and
	move some stuff to Requires.private

2008-04-10  Vincent Untz  <vuntz@gnome.org>

	* data/check-timezones.sh: portability fix to also work on Solaris

2008-04-10  Vincent Untz  <vuntz@gnome.org>

	Create a Locations.xml file per translation. This makes the parsing
	of the XML file much much faster (down to ~0.25s from ~1.5s for me).
	Also remove the spaces from the XML files (down from ~0.3s to ~0.25s).
	There is a configure flag to keep the old behavior:
	--enable-all-translations-in-one-xml

	* configure.in: add --enable-all-translations-in-one-xml configure flag
	* data/Makefile.am: pretty much rewrite to handle the new feature.
	Note that we don't distribute locations_diff.py anymore. It's mainly
	useful when hacking.
	* libgweather/Makefile.am: small update
	* libgweather/gweather-xml.c: (gweather_xml_load_locations): look for
	localized xml files first, and then fallback on Locations.xml

2008-04-10  Dan Winship  <danw@gnome.org>

	* data/Locations.xml.in: add FIXMEs to Brazil and Mexico, which
	need to be split up into states with per-state tz-hints, and
	Australia, Canada, and Greenland, which need minor fix-ups. Fix
	the timezones in DR Congo, Indonesia, and Kazakhstan myself since
	there are few enough cities listed for each that I could just
	Google them. Remove references to Asia/Kuching timezone in
	Malaysia since it has been identical to Asia/Kuala_Lumpur since
	1982 (pointed out by Ghee Teo). Fix various typos in tz-hints (and
	spell-check against zone.tab this time to make sure there are no
	more).

	* data/check-timezones.sh: timezone-checking script

	* data/Makefile.am (check): run check-timezones.sh

	* data/README: explain Locations.xml.in some

2008-04-08  Vincent Untz  <vuntz@gnome.org>

	* data/Locations.xml.in: add correct tz-hint for Valparaiso, IN
	(America/Chicago instead of the default Indiana tz)
	Patch by Shaun McCance <shaunm@gnome.org>
	Fix bug #526975

2008-04-08  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* data/Locations.xml.in:
	Updated Russian tz-hints.

2008-04-08  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.22.2

==================== 2.22.1.1 ====================

2008-04-08  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* NEWS: version 2.22.1.1

2008-04-08  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* libgweather/Makefile.am: put the logic to change the soname in
	configure.in, so I don't forget about it...

2008-04-07  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.22.2

==================== 2.22.1 ====================

2008-04-07  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* NEWS: version 2.22.1

2008-04-07  Vincent Untz  <vuntz@gnome.org>

	* data/Makefile.am: fix check rule to work with distcheck

2008-04-07  Vincent Untz  <vuntz@gnome.org>

	* data/Makefile.am: add a "make check" to run "xmllint --valid"
	Patch by Dan Winship <danw@gnome.org>. Fix bug #526013.

2008-04-07  Vincent Untz  <vuntz@gnome.org>

	* data/Locations.xml.in: make the file pass xmllint again (just changed
	the order of two lines)

2008-04-07  Vincent Untz  <vuntz@gnome.org>

	Add country codes and timezone hints to Locations.xml. Patch by Dan
	Winship <danw@gnome.org>. Fix bug #525451.

	* data/Locations.xml.in: Add ISO 3166 codes for all countries (and
	those sub-country regions that have them). Add guesses at the
	timezones for various countries, states, and locations.
	* data/locations.dtd: Update; a country must have an iso-code, and
	a location may have one. A country, state, or location may have a
	tz-hint.
	* libgweather/gweather-xml.c (gweather_xml_parse_node): Handle iso-code
	and tz-hint (and make them be inherited properly).
	* libgweather/weather.[ch] (weather_location_new): add country_code and
	tz_hint fields to WeatherLocation and update its methods

2008-04-07  Vincent Untz  <vuntz@gnome.org>

	Add gweather-xml API. Patch by Dan Winship <danw@gnome.org>.
	Fix bug #526015.

	* configure.in: find libxml libs/cflags
	* libgweather/gweather-xml.c: move this here from gweather/clock-applet
	and fix the XML parser to skip over unrecognized close tags as well as
	unrecognized open tags
	* libgweather/Makefile.am (libgweather_la_SOURCES): add gweather-xml.c
	(libgweatherinc_HEADERS): add gweather-xml.h

2008-03-18  Bastien Nocera  <hadess@hadess.net>

	* MAINTAINERS: upd, Federico is the maintainer

2008-03-12  Sebastian Dröge  <slomo@circular-chaos.org>

	* Makefile.am:
	* configure.in:
	* data/Makefile.am:
	* po-locations/Makefile.am: Also dist Locations.xml.in and
	po-locations/*. Based on a patch by Loïc Minier.
	Closes bug #419863.

2008-03-11  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.22.1

==================== 2.22.0 ====================

2008-03-11  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* NEWS: version 2.22.0

2008-02-26  Olav Vitters  <olav@bkor.dhs.org>

	* NEWS:
	* configure.in: Bump version number to 2.21.92 (pre-release).

2008-01-15  Callum McKenzie  <callum@spooky-possum.org>

	* data/Locations.xml.in: Add Santiago, Chile. For some reason we
	had almost every other Santiago, but not the one that's a
	capital city. Patch courtesy of Jaap Haitsma.

2008-01-14  Federico Mena Quintero  <federico@novell.com>

	* configure.in: Bump version number to 2.21.2.

2008-01-14  Matthias Clasen  <mclasen@redhat.com>

	* Guard header files with a GWEATHER_I_KNOW_THIS_IS_UNSTABLE
	preprocessor symbol.

2008-01-11  Matthias Clasen  <mclasen@redhat.com>

	* libgweather/gweather-prefs.c (get_translated_unit): Fix
	inverted logic in g_return_if_fail.

2008-01-10  Christian Persch  <chpe@gnome.org>

	* configure.in: Remove obsolete variables. Remove output about IPv6.

2008-01-08  Kjartan Maraas  <kmaraas@gnome.org>

	* data/Locations.xml.in: Fix zone for Seattle, WA.
	Patch from Andrew Burton. Reported by Clifford Snow.
	Closes bug #412823.

2008-01-08  Kjartan Maraas  <kmaraas@gnome.org>

	* data/Locations.xml.in: Fix zone for Kenai
	and Soldotna in Alaska. Reported by John Pfeifer.
	Closes bug #503999.

2008-01-08  Kjartan Maraas  <kmaraas@gnome.org>

	* data/Locations.xml.in: Add Eritrea/Asmara
	Reported by Yonas Abraham. Closes bug #502576.

2008-01-08  Kjartan Maraas  <kmaraas@gnome.org>

	* data/Locations.xml.in: Add Ängelholm, Sweden.
	Closes bug 451655. Reported by Thomas Novin.

2008-01-08  Kjartan Maraas  <kmaraas@gnome.org>

	* data/Locations.xml.in: Fix a location name.
	Reported by Fabio Bonelli. Closes bug #350945.

2008-01-08  Kjartan Maraas  <kmaraas@gnome.org>

	* data/Locations.xml.in: Fix zone for
	Santa Rosa, CA. Patch from Mike Ferrara
	Closes bug #477785.

2008-01-08  Kjartan Maraas  <kmaraas@gnome.org>

	* data/Locations.xml.in: Add El Cerrito
	Patch from Ryan Lovett. Closes bug #475039.

2008-01-08  Kjartan Maraas  <kmaraas@gnome.org>

	* data/Locations.xml.in: Various fixes:
	- coordinates missing hemisphere
	- duplicate locations
	- <name> instead of <_name>
	Patch from James Andrewartha. Closes bug #447559.

2008-01-08  Kjartan Maraas  <kmaraas@gnome.org>

	* data/Locations.xml.in: Saint-Hubert is a city in the
	province of Luxembourg not Liège. Reported by Nicolas Évrard
	Closes bug #416080.

2008-01-08  Kjartan Maraas  <kmaraas@gnome.org>

	* data/Locations.xml.in: Merge some fixes I put in gnome-applets
	here as well.

2008-01-08  Federico Mena Quintero  <federico@novell.com>

	* data/*: Moved Locations.xml and its accompanying files from
	gnome-applets/gweather.

	* po-locations/*: Moved from gnome-applets/po-locations.

	* Makefile.am (SUBDIRS): Added the "data" directory.

	* configure.in: Add data/Makefile to the files to generate.

2008-01-03  Federico Mena Quintero  <federico@novell.com>

	* configure.in: Check for gconftool-2.

2007-11-22  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am:
	* autogen.sh:
	* configure.in: Add, mostly copied from gnome-applets

2007-11-22  Bastien Nocera  <hadess@hadess.net>

	* MAINTAINERS: add

